petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGetWorkingDirectory

Gets the current working directory.

### Synopsis

    PetscErrorCode  PetscGetWorkingDirectory(char path[],size_t len)

Not Collective

### Input Parameters

len -maximum length of path

### Output Parameter

path -use to hold the result value. The string should be long enough to hold the path.

### Level

developer

### Location

src/sys/fileio/fwd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages